#!/bin/sh

# hopefully one of these will work
# but be careful not to destroy existing loaders.cache if all fails
if type chroot > /dev/null; then
	chroot . /usr/bin/gdk-pixbuf-query-loaders-32 --update-cache
else
	./usr/bin/gdk-pixbuf-query-loaders-32 > /dev/null &&
	./usr/bin/gdk-pixbuf-query-loaders-32 > ./usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache 
fi 

